PosPrinterService.MyBinder

net.printer.service

## Class PosPrinterService.MyBinder

- java.lang.Object
- - android.os.Binder
  - - net.printer.service.PosPrinterService.MyBinder

- All Implemented Interfaces:
    android.os.IBinder
  Enclosing class:
    PosPrinterService

      public class PosPrinterService.MyBinder
      extends android.os.Binder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface android.os.IBinder

      `android.os.IBinder.DeathRecipient`

  - ### Field Summary

    - ### Fields inherited from interface android.os.IBinder

      `DUMP_TRANSACTION, FIRST_CALL_TRANSACTION, FLAG_ONEWAY, INTERFACE_TRANSACTION, LAST_CALL_TRANSACTION, LIKE_TRANSACTION, PING_TRANSACTION, TWEET_TRANSACTION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PosPrinterService.MyBinder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `acceptdatafromprinter(UiExecute execute)`
    `void` | `connectBtPort(java.lang.String bluetoothID, UiExecute execute)`
    `void` | `connectNetPort(java.lang.String ethernetIP, int ethernetPort, UiExecute execute)`
    `void` | `connectUsbPort(android.content.Context context, java.lang.String usbPathName, UiExecute execute)`
    `void` | `disconnectCurrentPort(UiExecute execute)`
    `` | `readBuffer()`
    `void` | `write(byte[] data, UiExecute execute)`
    `void` | `writeDataByYouself(UiExecute execute, ProcessData processData)`

    - ### Methods inherited from class android.os.Binder

      `attachInterface, clearCallingIdentity, dump, dump, dumpAsync, finalize, flushPendingCommands, getCallingPid, getCallingUid, getCallingUserHandle, getInterfaceDescriptor, isBinderAlive, joinThreadPool, linkToDeath, onTransact, pingBinder, queryLocalInterface, restoreCallingIdentity, transact, unlinkToDeath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PosPrinterService.MyBinder

          public PosPrinterService.MyBinder()

  - ### Method Detail

    - #### connectNetPort

          public void connectNetPort(java.lang.String ethernetIP,
                            int ethernetPort,
                            UiExecute execute)

    - #### connectBtPort

          public void connectBtPort(java.lang.String bluetoothID,
                           UiExecute execute)

    - #### connectUsbPort

          public void connectUsbPort(android.content.Context context,
                            java.lang.String usbPathName,
                            UiExecute execute)

    - #### disconnectCurrentPort

          public void disconnectCurrentPort(UiExecute execute)

    - #### write

          public void write(byte[] data,
                   UiExecute execute)

    - #### writeDataByYouself

          public void writeDataByYouself(UiExecute execute,
                                ProcessData processData)

    - #### acceptdatafromprinter

          public void acceptdatafromprinter(UiExecute execute)

    - #### readBuffer

          public  readBuffer()